#
# spec file for package PyQt (Version 3.5)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gettext gpp libgpp libtiff python python-devel qt3-devel-packages qt3-devel-tools sip
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils bzip2 cracklib expat freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool mesa mesa-devel mesaglu mesaglu-devel mesaglut mesaglut-devel mesasoft perl python python-devel qt3 qt3-devel qt3-devel-tools rpm sip

Name:         PyQt
%define python_site    %(echo `python -c "import sys; print (sys.prefix + '/%_lib/python' + sys.version[:3] + '/site-packages/')"`)
License:      GPL
Group:        Development/Libraries/Python
Summary:      Python bindings for the Qt C++ class library
Requires:     sip = 3.5
Version:      3.5
Release:      74
Source0:      PyQt-x11-gpl-%{version}.tar.bz2
Patch0:       PyQt.dif
Patch1:       lib64.dif
Patch2:       PyQt-spinbox-fix.diff
#build.py is too broken for build root
#BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Python bindings for the Qt C++ class library. Please install the PyQt-devel
package to develop new PyQt applications.

Authors:
--------
    Phil Thompson <phil@river-bank.demon.co.uk>

%package devel
Summary:      qt related tools to develop python applications
Group:        Development/Libraries/Python
Requires:     PyQt qt3-devel-tools

%description devel
the package contains "pyuic" to generate Python code for user interface which
are created by Qt-Designer.

"eric" is a debugger for Python.

There is also a documentation and some examples in /usr/share/dooc/packages/PyQt/

Authors:
--------
    Phil Thompson <phil@river-bank.demon.co.uk>

%prep
%setup -n PyQt-x11-gpl-%version
%patch
if [ "lib64" == "%_lib" ]; then
%patch1
fi
%patch2

%build
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS"
DESTDIR=$RPM_BUILD_ROOT python build.py \
 -b /usr/bin \
 -d %{python_site} \
 -l qt-mt \
 -q /usr/lib/qt3 \
 -c
make

%install
export LIBRARY_PATH=$RPM_BUILD_ROOT/%{python_site}
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{python_site}
rm -rf /%{python_site}/eric/ ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
make install DESTDIR=$RPM_BUILD_ROOT
#make install-eric DESTDIR=$RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
cp -a doc examples? ChangeLog NEWS README THANKS LICENSE \
   ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}

%files
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/NEWS
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/THANKS
%doc %{_defaultdocdir}/%{name}/LICENSE
/%{python_site}/libqtcanvascmodule.so
/%{python_site}/libqtcmodule.so
/%{python_site}/libqtglcmodule.so
/%{python_site}/libqtnetworkcmodule.so
/%{python_site}/libqtsqlcmodule.so
/%{python_site}/libqttablecmodule.so
/%{python_site}/libqtxmlcmodule.so
/%{python_site}/libqtcanvascmodule.so.1
/%{python_site}/libqtcanvascmodule.so.1.0
/%{python_site}/libqtcanvascmodule.so.1.0.0
/%{python_site}/libqtcmodule.so.1
/%{python_site}/libqtcmodule.so.1.0
/%{python_site}/libqtcmodule.so.1.0.0
/%{python_site}/libqtglcmodule.so.1
/%{python_site}/libqtglcmodule.so.1.0
/%{python_site}/libqtglcmodule.so.1.0.0
/%{python_site}/libqtnetworkcmodule.so.1
/%{python_site}/libqtnetworkcmodule.so.1.0
/%{python_site}/libqtnetworkcmodule.so.1.0.0
/%{python_site}/libqtsqlcmodule.so.1
/%{python_site}/libqtsqlcmodule.so.1.0
/%{python_site}/libqtsqlcmodule.so.1.0.0
/%{python_site}/libqttablecmodule.so.1
/%{python_site}/libqttablecmodule.so.1.0
/%{python_site}/libqttablecmodule.so.1.0.0
/%{python_site}/libqtxmlcmodule.so.1
/%{python_site}/libqtxmlcmodule.so.1.0
/%{python_site}/libqtxmlcmodule.so.1.0.0
/%{python_site}/qt.pyc
/%{python_site}/qtcanvas.pyc
/%{python_site}/qtgl.pyc
/%{python_site}/qtnetwork.pyc
/%{python_site}/qtsql.pyc
/%{python_site}/qttable.pyc
/%{python_site}/qtxml.pyc
/%{python_site}/qt.py
/%{python_site}/qtcanvas.py
/%{python_site}/qtgl.py
/%{python_site}/qtnetwork.py
/%{python_site}/qtsql.py
/%{python_site}/qttable.py
/%{python_site}/qtxml.py

%files devel
%doc %{_defaultdocdir}/%{name}/ChangeLog
%doc %{_defaultdocdir}/%{name}/doc
%doc %{_defaultdocdir}/%{name}/examples?
/usr/bin/pyuic
/usr/bin/pylupdate

%changelog -n PyQt
* Wed May 14 2003 - adrian@suse.de
- remove interfaces to not provided functions by qt
  (QAssisstant) (BR: #26480)
* Tue Mar 04 2003 - adrian@suse.de
- fix from Hans-Peter Jansen to make SpinBoxes usable
* Fri Jan 31 2003 - ro@suse.de
- libqassistantclient is not available
* Wed Jan 08 2003 - adrian@suse.de
- fix build
* Fri Dec 13 2002 - adrian@suse.de
- update to version 3.5
  * works with Qt 3.1
  * eric is not anymore part of the source package
* Wed Oct 09 2002 - adrian@suse.de
- move some files back to main package (needed at runtime)
* Wed Oct 09 2002 - adrian@suse.de
- update to version 3.4
- use build fix from Marc Schmitt
- branch -devel subpackage
  * adding examples and documentation
  * add "eric" the debugger
* Wed Jul 24 2002 - adrian@suse.de
- update to 3.3.2
- clean #neededforbuild
* Fri Jul 19 2002 - uli@suse.de
- fixed for lib64 archs
* Thu Jul 11 2002 - adrian@suse.de
- update to 3.3.1, works with qt-3.0.5 snapshot
* Tue May 21 2002 - adrian@suse.de
- up to PyQt-3.2.4-Qt-3.0.4
* Mon Jan 28 2002 - ro@suse.de
- set LIBRARY_PATH and LD_LIBRARY_PATH for BuildRoot
* Mon Jan 28 2002 - ro@suse.de
-  up to PyQt-3.0-Qt-3.0.0 plus official patches 1-4
* Tue Dec 11 2001 - adrian@suse.de
- fix Requires line in spec file
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages
* Fri Sep 28 2001 - adrian@suse.de
- add Requires to sip
* Sun Aug 26 2001 - adrian@suse.de
- update to 2.5
* Wed Aug 08 2001 - ro@suse.de
- use macro for python site dir
* Sun Apr 22 2001 - adrian@suse.de
- New version 2.4 (works with qt 2.3.0 and python 2.1)
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Thu Dec 07 2000 - adrian@suse.de
- fixed %%install
* Mon Dec 04 2000 - adrian@suse.de
- inital package
